package com.clx.performance.dao.borrower;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.mapper.borrower.BorrowerMapper;
import com.clx.performance.model.borrower.Borrower;
import com.clx.performance.param.pc.borrower.PageBorrowerParam;
import com.clx.performance.vo.pc.borrower.BorrowerVO;
import com.msl.common.base.Optional;
import com.msl.common.dao.BaseDao;

import java.util.List;

/**
 * @Author: aiqinguo
 * @Description: 借出方
 * @Date: 2024/01/17 13:42:57
 * @Version: 1.0
 */
public interface BorrowerDao extends BaseDao<BorrowerMapper, Borrower, Integer> {

    boolean update(Borrower item);
    boolean updateStatus(Borrower item);
    boolean updateDelete(Borrower item);

    Optional<Borrower> selectByName(String name);
    List<Borrower> listEnable();

    IPage<BorrowerVO> pageByParam(PageBorrowerParam param);

}
